/******************************************************************************
 * program:     rasimg library                                                *
 * function:    Module for WEBP support                                       *
 * modul:       ras_webp.cc                                                   *
 * licency:     GPL or LGPL                                                   *
 ******************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "typedfs.h"
#include "image.h"
#include "struct.h"

#include "imgsupp.h"


#if defined(SupportWEBP) && SupportWEBP>0

//#include <png.h>
//#include <zlib.h>


Image LoadPictureWEBP(const char *Name)
{
Image Img;
FILE *f;

  if((f=fopen(Name,"rb"))==NULL) return(Img);

  {
    png_byte header[8];			// 8 is the maximum size that can be checked
    fread(header, 1, 8, f);
    if(png_sig_cmp(header, 0, 8)) goto FINISH;
    fseek(f,-8,SEEK_CUR);		// return back to a signature.
  }

  LoadFragmentPNG(f,&Img);

FINISH:
  fclose(f);

  return(Img);		/* And we're done! */
}
#endif


#if SupportWEBP>=3

int SavePictureWEBP(const char *Name, const Image &Img)
{
  if(Img.Raster==NULL) return(-10);

	/* create file */
  FILE *fp = fopen(Name, "wb");
  if(!fp) return -1;

  fclose(fp);
  return 0;
}
#endif


#endif

